Summary:   Modular Assembler
Name:      yasm
Version:   1.3.0
Release:   6%{?dist}
License:   BSD and (GPLv2+ or Artistic or LGPLv2+) and LGPLv2
URL:       http://yasm.tortall.net/
Source0:   http://www.tortall.net/projects/yasm/releases/yasm-%{version}.tar.gz
Patch3000: 0001-Update-elf-objfmt.c.patch
# CVE-2023-37732: https://github.com/yasm/yasm/pull/234
Patch0000: 0002-Fix-NULL-deref-on-bad-xsize-expression.patch
# CVE-2023-31975: https://github.com/yasm/yasm/pull/231
Patch0001: 0003-fix-yasm-memory-leak.patch

BuildRequires: make gcc bison byacc gettext-devel xmlto

Provides: bundled(md5-plumb)

%description
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License (some portions are
under other licenses, see COPYING for details). It is designed from the ground up to allow for
multiple assembler syntaxes to be supported (eg, NASM, TASM, GAS, etc.) in addition to multiple
output object formats and even multiple instruction sets. Another primary module of the overall
design is an optimizer module.

%package devel
Summary: Header files and static libraries for the yasm Modular Assembler
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}
Provides: bundled(md5-plumb)

%description devel
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License (some portions are
under other licenses, see COPYING for details). It is designed from the ground up to allow for
multiple assembler syntaxes to be supported (eg, NASM, TASM, GAS, etc.) in addition to multiple
output object formats and even multiple instruction sets. Another primary module of the overall
design is an optimizer module.

Install this package if you need to rebuild applications that use yasm.


%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
rm -rf %{buildroot}
%make_install

%files
%license Artistic.txt BSD.txt COPYING GNU_GPL-2.0 GNU_LGPL-2.0
%doc AUTHORS
%{_bindir}/vsyasm
%{_bindir}/yasm
%{_bindir}/ytasm
%{_mandir}/man1/yasm.1*

%files devel
%{_includedir}/libyasm/
%{_includedir}/libyasm-stdint.h
%{_includedir}/libyasm.h
%{_libdir}/libyasm.a
%{_mandir}/man7/yasm_*.7*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-6
- Rebuilt for loongarch release

* Fri Nov 10 2023 Ze Zhang <bbrucezhang@tencent.com> - 1.3.0-5
- CVE-2023-37732: Fix NULL deref on bad xsize expression
- CVE-2023-31975: Fix yasm memory leak

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- initial build
